### Virtual Method

# Camel Session lookup_addressbook

since: 2.22

#### Declaration [src]

    gboolean
    lookup_addressbook (
      CamelSession* session,
      const gchar* name
    )

#### Description [src]

Looks up for the `name` in address books.

Available since: 2.22

#### Parameters

`name`

  Type: `const gchar*`

  A name/address to lookup for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether found the `name` in any address book.